package org.openxma.dsl.platform.assembler;

import java.util.List;

/**
 * This interface provides one method which returns all available
 * {@link DtoAssembler}s within a chosen aggregation.
 * <p>
 * Normally the aggregation level is based on modeling namespaces which
 * correspond to a certain java package each.
 *
 * Implementations of this interface should hide the internals of
 * {@link DtoAssembler} creation and are generated artifacts.
 */
public interface DtoAssemblerFactory {

    /**
     * @return a list of available {@link DtoAssembler}s
     */
    List<DtoAssembler<?>> getDtoAssemblers();

}
