package org.openxma.dsl.platform.dao.impl;

import org.openxma.dsl.platform.dao.FilterExpression;
import org.openxma.dsl.platform.dao.Filterable;

public class JoinExpression extends UnaryExpression {

	private String alias;
	private boolean leftJoin;
	private boolean fetch;
	
	public JoinExpression(FilterExpression filterSpecification, String alias,
			boolean leftJoin, boolean fetch) {
		super(filterSpecification);
		this.alias = alias;
		this.leftJoin = leftJoin;
		this.fetch = fetch;
	}

	public Object applyTo(Filterable filterable) {
		return filterable.append(this);
	}

	public String getAlias() {
		return alias;
	}

	public boolean isLeftJoin() {
		return leftJoin;
	}

	public boolean isFetch() {
		return fetch;
	}

	
}
