package org.openxma.dsl.platform.valueobject;

public class ValueObjectBoolean extends ValueObjectComparable<Boolean> {

    private static final long serialVersionUID = 1L;

    public ValueObjectBoolean(Boolean value) {
        super(value);
    }

    public static ValueObjectBoolean newOrNull(Boolean value) {
        if (value != null) {
            return new ValueObjectBoolean(value);
        }
        return null;
    }

    public static ValueObjectBoolean newOrNull(String value) {
        if (value != null && value.length() > 0) {
            return new ValueObjectBoolean(Boolean.valueOf(value));
        }
        return null;
    }

}
