package org.openxma.dsl.platform.valueobject;

public class ValueObjectFloat extends ValueObjectComparable<Float> {

    private static final long serialVersionUID = 1L;

    public ValueObjectFloat(Float value) {
        super(value);
    }

    public static ValueObjectFloat newOrNull(Float value) {
        if (value != null) {
            return new ValueObjectFloat(value);
        }
        return null;
    }

    public static ValueObjectFloat newOrNull(String value) {
        if (value != null && value.length() > 0) {
            return new ValueObjectFloat(Float.valueOf(value));
        }
        return null;
    }

}
